Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Samebug tips

  1. ,
    Expert tip

    When installing an APK, it automatically extracts the libraries of the right arch type and has them available for System.loadLibrary. But, if you're trying to load a non-standard library, the installer won't know your app has 32bit native code.

  2. ,

    This is a sub-class of the LinkageError class and indicates that the JVM cannot find an appropriate native-language definition of a method declared as native. Compile a 64-bit version of your .dylib file.

Solutions on the web

via Oracle Community by 964313, 1 year ago
/tmp/OraInstall2012-09-25_11-46-13AM/oui/lib/linux/liboraInstaller.so: /tmp/OraInstall2012-09-25_11-46-13AM/oui/lib/linux/liboraInstaller.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)
via Oracle Community by 878706, 1 year ago
/opt/oracle/product/11.2.0/dbhome_1/oui/lib/linux/liboraInstaller.so: /opt/oracle/product/11.2.0/dbhome_1/oui/lib/linux/liboraInstaller.so: wrong ELF class: ELFCLASS64 (Possible cause: architecture word width mismatch)
via Oracle Community by 748170, 1 year ago
/apps/oracle/product/926/oui/lib/aix/liboraInstaller.so: load ENOEXEC on shared library(s) /apps/oracle/product/926/oui/lib/aix/liboraInstaller.so
via Stack Overflow by Abhay
, 2 years ago
/tmp/libjniopencv_core3672406464017531068.so: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /opt/lampp/htdocs/k_project_1/innefu/OpenCV-2.3.0/build/lib/libopencv_core.so.2.3)
via chiefdelphi.com by Unknown author, 2 years ago
/var/volatile/tmp/libwpilibJavaJNI948982247454152796.so: libnirio_emb_can.so.15: cannot open shared object file: No such file or directory
via Oracle Community by 99931, 1 year ago
/home/svoboda/tmp/OraInstall2004-03-25_10-32-58AM/oui/lib/linux/liboraInstaller.so: /home/svoboda/tmp/OraInstall2004-03-25_10-32-58AM/oui/lib/linux/liboraInstaller.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
java.lang.UnsatisfiedLinkError: /tmp/OraInstall2012-09-25_11-46-13AM/oui/lib/linux/liboraInstaller.so: /tmp/OraInstall2012-09-25_11-46-13AM/oui/lib/linux/liboraInstaller.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)	at java.lang.ClassLoader$NativeLibrary.load(Native Method)	at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1703)	at java.lang.Runtime.load0(Runtime.java:770)	at java.lang.System.load(System.java:1003)	at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.loadNativeLib(OiipuUnixOps.java:372)	at oracle.sysman.oii.oiip.osd.unix.OiipuUnixOps.(OiipuUnixOps.java:119)	at oracle.sysman.oii.oiip.oiipg.OiipgEnvironment.getEnv(OiipgEnvironment.java:196)	at oracle.sysman.oii.oiip.oiipg.OiipgPropertyLoader.initUnixPtrFileLoc(OiipgPropertyLoader.java:210)	at oracle.sysman.oii.oiip.oiipg.OiipgPropertyLoader.(OiipgPropertyLoader.java:123)	at oracle.sysman.oii.oiic.OiicInstallSession.setAreaControls(OiicInstallSession.java:1395)	at oracle.sysman.oii.oiic.OiicInstallSession.(OiicInstallSession.java:1013)	at oracle.sysman.oii.oiic.OiicSessionWrapper.createNewSession(OiicSessionWrapper.java:703)	at oracle.sysman.oii.oiic.OiicSessionWrapper.(OiicSessionWrapper.java:156)	at oracle.sysman.oii.oiic.OiicInstaller.init(OiicInstaller.java:333)	at oracle.sysman.oii.oiic.OiicInstaller.runInstaller(OiicInstaller.java:741)	at oracle.sysman.oii.oiic.OiicInstaller.main(OiicInstaller.java:653)